declare const _default: {
  "ENTITIES": {
    "Phone": {
      "prefix": "Prefix"
    },
    "Country": {
      "code": "Country"
    },
    "Offer": {
      "_name": "Offer | Offers",
      "_add_new": "Add New Offer",
      "producer": "Producer",
      "label": "Label",
      "cpu_model": "CPU Model",
      "cpu_count": "CPU Count",
      "cpu_cores": "CPU Cores",
      "ram": "RAM",
      "disk_count": "# Disks",
      "disk_gb": "Disk GB",
      "disk_type": "Disk Type",
      "disk_tag": "Disk Tag",
      "location": "Location",
      "description": "Description",
      "tags": "Tags",
      "price": "Price"
    },
    "Order": {
      "_name": "Order | Orders",
      "_add_new": "Add New Order",
      "order_id": "ID",
      "created_at": "Created At",
      "created_by": "Created By",
      "username": "Username",
      "total": "Total",
      "status": "Status",
      "items": {
        "_name": "Order Item | Order Items",
        "_header": "Order Items",
        "_add_new": "Add New Item",
        "item_id": "ID",
        "item_name": "Name",
        "item_price": "Price",
        "quantity": "Quantity",
        "total": "Total",
        "CREATE": {
          "p_offer_id": "Offer",
          "p_item_name": "Item",
          "p_item_price": "Price",
          "p_quantity": "Quantity"
        }
      }
    },
    "Inventory": {
      "_name": "Inventory",
      "_add_new": "Add New Item",
      "inventory_id": "ID",
      "created_at": "Created At",
      "client": "Client",
      "item_type": "Type",
      "item_model": "Model",
      "item_url": "URL",
      "item_name": "Name",
      "filter_ip": "IP",
      "item_description": "Description",
      "item_price": "Price",
      "addon_description": "Addon",
      "parent_id": "Parent",
      "admin_notes": "Notes",
      "status": "Status",
      "provider_code": "Provider Code",
      "provider_model": "Provider Model"
    },
    "VirtualMachineType": {
      "_name": "VM Type | VM Types",
      "_add_new": "Add New VM Type",
      "type": "Type",
      "name": "Name"
    },
    "ServerDiskType": {
      "_name": "Disk Type | Disk Types",
      "_add_new": "Add New Disk Type",
      "type": "Type",
      "name": "Name",
      "tag": "Tag"
    },
    "VirtualMachineModel": {
      "_name": "VM Model | VM Models",
      "_add_new": "Add New Item",
      "offer_id": "Offer",
      "model": "Model",
      "created_at": "Created At",
      "type": "Type",
      "m_label": "Label",
      "ram": "RAM",
      "cpu_cores": "# CPU Cores",
      "disk_gb": "Disk GB",
      "cost": "Cost",
      "price": "Price",
      "admin_notes": "Notes"
    },
    "ClusterVM": {
      "_name": "Cluster VM | Cluster VMs",
      "id": "ID",
      "cluster": "Cluster",
      "prox": "Prox",
      "vmid": "VMID",
      "client": "Client",
      "name": "Name",
      "port": "Port",
      "state": "State",
      "is_locked": "Locked?",
      "ram": "RAM",
      "disk": "Disk",
      "ip": "IP",
      "mac": "MAC",
      "cores": "Cores",
      "ipsets": "IP Sets",
      "type": "Type",
      "model": "Model",
      "url": "URL",
      "notes": "Notes",
      "client_notes": "Client Notes",
      "service": "Service",
      "buttons": {
        "rd_connection_string": "RD Connection String",
        "logs": "Logs",
        "new_order": "New Order",
        "api": "API",
        "grid_view": "Grid View",
        "grid_view_tooltip": "Switch to Grid View",
        "summary_view": "Summary View",
        "summary_view_tooltip": "Switch to Summary View",
        "reload_data": "Reload Data",
        "start": "Start",
        "stop": "Stop",
        "lock": "Lock",
        "unlock": "Unlock",
        "port_forwarding": "Port Forwarding",
        "common_ports": "Common Ports",
        "assign_ipsets": "Assign Ipsets"
      },
      "states": {
        "undefined": "Unknown",
        "running": "Running",
        "stopped": "Stopped"
      },
      "confirm": {
        "delete": "Are you sure you want to delete the VM: {name}?",
        "start": "Are you sure you want to start the VM: {name}?",
        "stop": "Are you sure you want to stop the VM: {name}?",
        "lock": "Are you sure you want to lock the VM: {name}?",
        "unlock": "Are you sure you want to unlock the VM: {name}?"
      }
    },
    "ClientIp": {
      "_name": "IP | IPs",
      "ip": "IP",
      "comment": "Comment",
      "ipsets": "IP Sets"
    },
    "ClientIpset": {
      "_name": "IP Set | IP Sets",
      "_add_new": "Add New IP Set",
      "info_line_1": "IPSet is a firewall group of whitelisted IP's (allowed to access your servers). You can create an IPSet with or without specifying the IPs during creation.",
      "info_line_2": "At any moment you can add/remove IP from IPSet. You can assign the IPSet to multiple servers. Every server can have multiple IPSets assigned",
      "client": "Client",
      "name": "Name",
      "comment": "Comment",
      "allowed_ips": "Allowed IPs",
      "assign_vms": "Assign VMs",
      "vms": "VMs",
      "white_list": "W/L",
      "ips": "IPs"
    },
    "DedicatedServer": {
      "_name": "Dedicated Server | Dedicated Servers",
      "client": "Client",
      "hostname": "Hostname",
      "tag": "Tag",
      "model": "Model",
      "serial": "Serial #",
      "wan_ip": "WAN IP",
      "wan_ip_str": "WAN IP",
      "wan_mac": "WAN MAC",
      "wan_mac_str": "WAN MAC",
      "ipmi_hostname": "IPMI Hostname",
      "ipmi_license": "IPMI License",
      "ipmi_ip": "IPMI IP",
      "ipmi_ip_str": "IPMI IP",
      "ipmi_mac": "IPMI MAC",
      "ipmi_mac_str": "IPMI MAC",
      "created_at": "Created At",
      "created_by": "Created By",
      "deleted_at": "Deleted At"
    }
  },
  "TABLE_HEADERS": {
    "select": "Select"
  },
  "THEME": {
    "switch_to_light": "Switch to Light Mode",
    "switch_to_dark": "Switch to Dark Mode"
  },
  "AUTH": {
    "email_address": "Email Address",
    "password": "Password",
    "confirm_password": "Confirm Password",
    "login": "Login",
    "sign_up": "Sign Up",
    "sign_out": "Sign Out",
    "confirm_sign_out": "Are you sure you want to sign-out?"
  },
  "REGISTER": {
    "first_name": "First Name",
    "last_name": "Last Name",
    "street": "Street",
    "street2": "Street 2",
    "city": "City",
    "state": "State",
    "zip_code": "Zip Code",
    "country": "Country",
    "phone_number": "Phone Number",
    "company_name": "Company Name",
    "vat_number": "VAT Number",
    "website": "Website"
  },
  "CONTACT_US": {
    "email": "Email",
    "your_name": "Your name",
    "your_email": "Your email",
    "your_phone_number": "Your phone number",
    "your_message": "Your message",
    "button_label": "Send message"
  },
  "SIGN_UP": {
    "title": "Sign Up",
    "button_label": "Sign up",
    "fail_summary": "Failed to Sign up",
    "already_a_user": "Already a user?",
    "login_here": "Login Here"
  },
  "LOGIN": {
    "title": "Please sign in",
    "button_label": "Log In",
    "fail_summary": "Failed to Login",
    "forgot_password": "Forgot Password?",
    "need_to_register": "Don't have an account?",
    "register_here": "Register Here"
  },
  "PASSWORD_RESET": {
    "title": "Need help with your password?",
    "sub_title": "Enter the email you use for {title}, and we’ll help you create a new password.",
    "button_label": "Next",
    "success_summary": "Password Reset Email sent",
    "success_details": "Please check your email. Allow upto 2 hours",
    "fail_summary": "Failed to send Password Reset Email"
  },
  "ACCOUNT_NOT_VERIFIED": {
    "title": "Your account is not verified",
    "description": "A verification email was sent to you. Please check your emails."
  }
}
;

export default _default;
