export declare const supportedLocales: string[];
export declare const defaultLocale = "en";
export declare const locale: any;
export declare const en: {
    ENTITIES: {
        Phone: {
            prefix: string;
        };
        Country: {
            code: string;
        };
        Offer: {
            _name: string;
            _add_new: string;
            producer: string;
            label: string;
            cpu_model: string;
            cpu_count: string;
            cpu_cores: string;
            ram: string;
            disk_count: string;
            disk_gb: string;
            disk_type: string;
            disk_tag: string;
            location: string;
            description: string;
            tags: string;
            price: string;
        };
        Order: {
            _name: string;
            _add_new: string;
            order_id: string;
            created_at: string;
            created_by: string;
            username: string;
            total: string;
            status: string;
            items: {
                _name: string;
                _header: string;
                _add_new: string;
                item_id: string;
                item_name: string;
                item_price: string;
                quantity: string;
                total: string;
                CREATE: {
                    p_offer_id: string;
                    p_item_name: string;
                    p_item_price: string;
                    p_quantity: string;
                };
            };
        };
        Inventory: {
            _name: string;
            _add_new: string;
            inventory_id: string;
            created_at: string;
            client: string;
            item_type: string;
            item_model: string;
            item_url: string;
            item_name: string;
            filter_ip: string;
            item_description: string;
            item_price: string;
            addon_description: string;
            parent_id: string;
            admin_notes: string;
            status: string;
            provider_code: string;
            provider_model: string;
        };
        VirtualMachineType: {
            _name: string;
            _add_new: string;
            type: string;
            name: string;
        };
        ServerDiskType: {
            _name: string;
            _add_new: string;
            type: string;
            name: string;
            tag: string;
        };
        VirtualMachineModel: {
            _name: string;
            _add_new: string;
            offer_id: string;
            model: string;
            created_at: string;
            type: string;
            m_label: string;
            ram: string;
            cpu_cores: string;
            disk_gb: string;
            cost: string;
            price: string;
            admin_notes: string;
        };
        ClusterVM: {
            _name: string;
            id: string;
            cluster: string;
            prox: string;
            vmid: string;
            client: string;
            name: string;
            port: string;
            state: string;
            is_locked: string;
            ram: string;
            disk: string;
            ip: string;
            mac: string;
            cores: string;
            ipsets: string;
            type: string;
            model: string;
            url: string;
            notes: string;
            client_notes: string;
            service: string;
            buttons: {
                rd_connection_string: string;
                logs: string;
                new_order: string;
                api: string;
                grid_view: string;
                grid_view_tooltip: string;
                summary_view: string;
                summary_view_tooltip: string;
                reload_data: string;
                start: string;
                stop: string;
                lock: string;
                unlock: string;
                port_forwarding: string;
                common_ports: string;
                assign_ipsets: string;
            };
            states: {
                undefined: string;
                running: string;
                stopped: string;
            };
            confirm: {
                delete: string;
                start: string;
                stop: string;
                lock: string;
                unlock: string;
            };
        };
        ClientIp: {
            _name: string;
            ip: string;
            comment: string;
            ipsets: string;
        };
        ClientIpset: {
            _name: string;
            _add_new: string;
            info_line_1: string;
            info_line_2: string;
            client: string;
            name: string;
            comment: string;
            allowed_ips: string;
            assign_vms: string;
            vms: string;
            white_list: string;
            ips: string;
        };
        DedicatedServer: {
            _name: string;
            client: string;
            hostname: string;
            tag: string;
            model: string;
            serial: string;
            wan_ip: string;
            wan_ip_str: string;
            wan_mac: string;
            wan_mac_str: string;
            ipmi_hostname: string;
            ipmi_license: string;
            ipmi_ip: string;
            ipmi_ip_str: string;
            ipmi_mac: string;
            ipmi_mac_str: string;
            created_at: string;
            created_by: string;
            deleted_at: string;
        };
    };
    TABLE_HEADERS: {
        select: string;
    };
    THEME: {
        switch_to_light: string;
        switch_to_dark: string;
    };
    AUTH: {
        email_address: string;
        password: string;
        confirm_password: string;
        login: string;
        sign_up: string;
        sign_out: string;
        confirm_sign_out: string;
    };
    REGISTER: {
        first_name: string;
        last_name: string;
        street: string;
        street2: string;
        city: string;
        state: string;
        zip_code: string;
        country: string;
        phone_number: string;
        company_name: string;
        vat_number: string;
        website: string;
    };
    CONTACT_US: {
        email: string;
        your_name: string;
        your_email: string;
        your_phone_number: string;
        your_message: string;
        button_label: string;
    };
    SIGN_UP: {
        title: string;
        button_label: string;
        fail_summary: string;
        already_a_user: string;
        login_here: string;
    };
    LOGIN: {
        title: string;
        button_label: string;
        fail_summary: string;
        forgot_password: string;
        need_to_register: string;
        register_here: string;
    };
    PASSWORD_RESET: {
        title: string;
        sub_title: string;
        button_label: string;
        success_summary: string;
        success_details: string;
        fail_summary: string;
    };
    ACCOUNT_NOT_VERIFIED: {
        title: string;
        description: string;
    };
    VALIDATIONS: {
        alpha: string;
        alphaNum: string;
        between: string;
        decimal: string;
        email: string;
        integer: string;
        ipAddress: string;
        macAddress: string;
        maxLength: string;
        maxValue: string;
        minLength: string;
        minValue: string;
        numeric: string;
        required: string;
        requiredIf: string;
        requiredUnless: string;
        sameAs: string;
        url: string;
    };
    loading: string;
    connected: string;
    disconnected: string;
    new: string;
    save: string;
    delete: string;
    cancel: string;
    newest: string;
    oldest: string;
    drag_drop_files_to_upload: string;
    sort_by_arg: string;
    required_fields_label: string;
    success: string;
    failed: string;
    save_successful: string;
    save_failed: string;
    delete_successful: string;
    delete_failed: string;
    upload_successful: string;
    confirm_header: string;
    confirm_delete_message: string;
    confirm_delete_selected_message: string;
    copy_to_clipboard: string;
    copy_to_clipboard_success: string;
    copy_to_clipboard_failed: string;
    empty_search_message: string;
    paginate: string;
    paginator_showing: string;
    paginator_to: string;
    paginator_of: string;
    search_by: string;
    keyword_search: string;
    no_records_found: string;
    clear_filters: string;
    clear_global_filter: string;
    select_columns: string;
    columns_selected: string;
    export: string;
    selection_message: string;
    empty_selection_message: string;
};
export declare const ru: {
    ENTITIES: {
        Phone: {
            prefix: string;
        };
        Country: {
            code: string;
        };
        Offer: {
            _name: string;
            _add_new: string;
            producer: string;
            label: string;
            cpu_model: string;
            cpu_count: string;
            cpu_cores: string;
            ram: string;
            disk_count: string;
            disk_gb: string;
            disk_type: string;
            disk_tag: string;
            location: string;
            description: string;
            tags: string;
            price: string;
        };
        Order: {
            _name: string;
            _add_new: string;
            order_id: string;
            created_at: string;
            created_by: string;
            username: string;
            total: string;
            status: string;
            items: {
                _name: string;
                _header: string;
                _add_new: string;
                item_id: string;
                item_name: string;
                item_price: string;
                quantity: string;
                total: string;
                CREATE: {
                    p_offer_id: string;
                    p_item_name: string;
                    p_item_price: string;
                    p_quantity: string;
                };
            };
        };
        Inventory: {
            _name: string;
            _add_new: string;
            inventory_id: string;
            created_at: string;
            client: string;
            item_type: string;
            item_model: string;
            item_url: string;
            item_name: string;
            filter_ip: string;
            item_description: string;
            item_price: string;
            addon_description: string;
            parent_id: string;
            admin_notes: string;
            status: string;
            provider_code: string;
            provider_model: string;
        };
        VirtualMachineType: {
            _name: string;
            _add_new: string;
            type: string;
            name: string;
        };
        ServerDiskType: {
            _name: string;
            _add_new: string;
            type: string;
            name: string;
            tag: string;
        };
        VirtualMachineModel: {
            _name: string;
            _add_new: string;
            offer_id: string;
            model: string;
            created_at: string;
            type: string;
            m_label: string;
            ram: string;
            cpu_cores: string;
            disk_gb: string;
            cost: string;
            price: string;
            admin_notes: string;
        };
        ClusterVM: {
            _name: string;
            id: string;
            cluster: string;
            prox: string;
            vmid: string;
            client: string;
            name: string;
            port: string;
            state: string;
            is_locked: string;
            ram: string;
            disk: string;
            ip: string;
            mac: string;
            cores: string;
            ipsets: string;
            type: string;
            model: string;
            url: string;
            notes: string;
            client_notes: string;
            service: string;
            buttons: {
                rd_connection_string: string;
                logs: string;
                new_order: string;
                api: string;
                grid_view: string;
                grid_view_tooltip: string;
                summary_view: string;
                summary_view_tooltip: string;
                reload_data: string;
                start: string;
                stop: string;
                lock: string;
                unlock: string;
                port_forwarding: string;
                common_ports: string;
                assign_ipsets: string;
            };
            states: {
                undefined: string;
                running: string;
                stopped: string;
            };
            confirm: {
                delete: string;
                start: string;
                stop: string;
                lock: string;
                unlock: string;
            };
        };
        ClientIp: {
            _name: string;
            ip: string;
            comment: string;
            ipsets: string;
        };
        ClientIpset: {
            _name: string;
            _add_new: string;
            info_line_1: string;
            info_line_2: string;
            client: string;
            name: string;
            comment: string;
            allowed_ips: string;
            assign_vms: string;
            vms: string;
            white_list: string;
            ips: string;
        };
        DedicatedServer: {
            _name: string;
            client: string;
            hostname: string;
            tag: string;
            model: string;
            serial: string;
            wan_ip: string;
            wan_ip_str: string;
            wan_mac: string;
            wan_mac_str: string;
            ipmi_hostname: string;
            ipmi_license: string;
            ipmi_ip: string;
            ipmi_ip_str: string;
            ipmi_mac: string;
            ipmi_mac_str: string;
            created_at: string;
            created_by: string;
            deleted_at: string;
        };
    };
    TABLE_HEADERS: {
        select: string;
    };
    THEME: {
        switch_to_light: string;
        switch_to_dark: string;
    };
    AUTH: {
        email_address: string;
        password: string;
        confirm_password: string;
        login: string;
        sign_up: string;
        sign_out: string;
        confirm_sign_out: string;
    };
    REGISTER: {
        first_name: string;
        last_name: string;
        street: string;
        street2: string;
        city: string;
        state: string;
        zip_code: string;
        country: string;
        phone_number: string;
        company_name: string;
        vat_number: string;
        website: string;
    };
    CONTACT_US: {
        email: string;
        your_name: string;
        your_email: string;
        your_phone_number: string;
        your_message: string;
        button_label: string;
    };
    SIGN_UP: {
        title: string;
        button_label: string;
        fail_summary: string;
        already_a_user: string;
        login_here: string;
    };
    LOGIN: {
        title: string;
        button_label: string;
        fail_summary: string;
        forgot_password: string;
        need_to_register: string;
        register_here: string;
    };
    PASSWORD_RESET: {
        title: string;
        sub_title: string;
        button_label: string;
        success_summary: string;
        success_details: string;
        fail_summary: string;
    };
    ACCOUNT_NOT_VERIFIED: {
        title: string;
        description: string;
    };
    VALIDATIONS: {
        alpha: string;
        alphaNum: string;
        between: string;
        decimal: string;
        email: string;
        integer: string;
        ipAddress: string;
        macAddress: string;
        maxLength: string;
        maxValue: string;
        minLength: string;
        minValue: string;
        numeric: string;
        required: string;
        requiredIf: string;
        requiredUnless: string;
        sameAs: string;
        url: string;
    };
    loading: string;
    connected: string;
    disconnected: string;
    new: string;
    save: string;
    delete: string;
    cancel: string;
    newest: string;
    oldest: string;
    drag_drop_files_to_upload: string;
    sort_by_arg: string;
    required_fields_label: string;
    success: string;
    failed: string;
    save_successful: string;
    save_failed: string;
    delete_successful: string;
    delete_failed: string;
    upload_successful: string;
    confirm_header: string;
    confirm_delete_message: string;
    confirm_delete_selected_message: string;
    copy_to_clipboard: string;
    copy_to_clipboard_success: string;
    copy_to_clipboard_failed: string;
    empty_search_message: string;
    paginate: string;
    paginator_showing: string;
    paginator_to: string;
    paginator_of: string;
    search_by: string;
    keyword_search: string;
    no_records_found: string;
    clear_filters: string;
    clear_global_filter: string;
    select_columns: string;
    columns_selected: string;
    export: string;
    selection_message: string;
    empty_selection_message: string;
};
export type MessageSchema = typeof en;
export declare const _i18n_internal: import("vue-i18n").I18n<{
    [x: string]: {
        ENTITIES: {
            Phone: {
                prefix: string;
            };
            Country: {
                code: string;
            };
            Offer: {
                _name: string;
                _add_new: string;
                producer: string;
                label: string;
                cpu_model: string;
                cpu_count: string;
                cpu_cores: string;
                ram: string;
                disk_count: string;
                disk_gb: string;
                disk_type: string;
                disk_tag: string;
                location: string;
                description: string;
                tags: string;
                price: string;
            };
            Order: {
                _name: string;
                _add_new: string;
                order_id: string;
                created_at: string;
                created_by: string;
                username: string;
                total: string;
                status: string;
                items: {
                    _name: string;
                    _header: string;
                    _add_new: string;
                    item_id: string;
                    item_name: string;
                    item_price: string;
                    quantity: string;
                    total: string;
                    CREATE: {
                        p_offer_id: string;
                        p_item_name: string;
                        p_item_price: string;
                        p_quantity: string;
                    };
                };
            };
            Inventory: {
                _name: string;
                _add_new: string;
                inventory_id: string;
                created_at: string;
                client: string;
                item_type: string;
                item_model: string;
                item_url: string;
                item_name: string;
                filter_ip: string;
                item_description: string;
                item_price: string;
                addon_description: string;
                parent_id: string;
                admin_notes: string;
                status: string;
                provider_code: string;
                provider_model: string;
            };
            VirtualMachineType: {
                _name: string;
                _add_new: string;
                type: string;
                name: string;
            };
            ServerDiskType: {
                _name: string;
                _add_new: string;
                type: string;
                name: string;
                tag: string;
            };
            VirtualMachineModel: {
                _name: string;
                _add_new: string;
                offer_id: string;
                model: string;
                created_at: string;
                type: string;
                m_label: string;
                ram: string;
                cpu_cores: string;
                disk_gb: string;
                cost: string;
                price: string;
                admin_notes: string;
            };
            ClusterVM: {
                _name: string;
                id: string;
                cluster: string;
                prox: string;
                vmid: string;
                client: string;
                name: string;
                port: string;
                state: string;
                is_locked: string;
                ram: string;
                disk: string;
                ip: string;
                mac: string;
                cores: string;
                ipsets: string;
                type: string;
                model: string;
                url: string;
                notes: string;
                client_notes: string;
                service: string;
                buttons: {
                    rd_connection_string: string;
                    logs: string;
                    new_order: string;
                    api: string;
                    grid_view: string;
                    grid_view_tooltip: string;
                    summary_view: string;
                    summary_view_tooltip: string;
                    reload_data: string;
                    start: string;
                    stop: string;
                    lock: string;
                    unlock: string;
                    port_forwarding: string;
                    common_ports: string;
                    assign_ipsets: string;
                };
                states: {
                    undefined: string;
                    running: string;
                    stopped: string;
                };
                confirm: {
                    delete: string;
                    start: string;
                    stop: string;
                    lock: string;
                    unlock: string;
                };
            };
            ClientIp: {
                _name: string;
                ip: string;
                comment: string;
                ipsets: string;
            };
            ClientIpset: {
                _name: string;
                _add_new: string;
                info_line_1: string;
                info_line_2: string;
                client: string;
                name: string;
                comment: string;
                allowed_ips: string;
                assign_vms: string;
                vms: string;
                white_list: string;
                ips: string;
            };
            DedicatedServer: {
                _name: string;
                client: string;
                hostname: string;
                tag: string;
                model: string;
                serial: string;
                wan_ip: string;
                wan_ip_str: string;
                wan_mac: string;
                wan_mac_str: string;
                ipmi_hostname: string;
                ipmi_license: string;
                ipmi_ip: string;
                ipmi_ip_str: string;
                ipmi_mac: string;
                ipmi_mac_str: string;
                created_at: string;
                created_by: string;
                deleted_at: string;
            };
        };
        TABLE_HEADERS: {
            select: string;
        };
        THEME: {
            switch_to_light: string;
            switch_to_dark: string;
        };
        AUTH: {
            email_address: string;
            password: string;
            confirm_password: string;
            login: string;
            sign_up: string;
            sign_out: string;
            confirm_sign_out: string;
        };
        REGISTER: {
            first_name: string;
            last_name: string;
            street: string;
            street2: string;
            city: string;
            state: string;
            zip_code: string;
            country: string;
            phone_number: string;
            company_name: string;
            vat_number: string;
            website: string;
        };
        CONTACT_US: {
            email: string;
            your_name: string;
            your_email: string;
            your_phone_number: string;
            your_message: string;
            button_label: string;
        };
        SIGN_UP: {
            title: string;
            button_label: string;
            fail_summary: string;
            already_a_user: string;
            login_here: string;
        };
        LOGIN: {
            title: string;
            button_label: string;
            fail_summary: string;
            forgot_password: string;
            need_to_register: string;
            register_here: string;
        };
        PASSWORD_RESET: {
            title: string;
            sub_title: string;
            button_label: string;
            success_summary: string;
            success_details: string;
            fail_summary: string;
        };
        ACCOUNT_NOT_VERIFIED: {
            title: string;
            description: string;
        };
        VALIDATIONS: {
            alpha: string;
            alphaNum: string;
            between: string;
            decimal: string;
            email: string;
            integer: string;
            ipAddress: string;
            macAddress: string;
            maxLength: string;
            maxValue: string;
            minLength: string;
            minValue: string;
            numeric: string;
            required: string;
            requiredIf: string;
            requiredUnless: string;
            sameAs: string;
            url: string;
        };
        loading: string;
        connected: string;
        disconnected: string;
        new: string;
        save: string;
        delete: string;
        cancel: string;
        newest: string;
        oldest: string;
        drag_drop_files_to_upload: string;
        sort_by_arg: string;
        required_fields_label: string;
        success: string;
        failed: string;
        save_successful: string;
        save_failed: string;
        delete_successful: string;
        delete_failed: string;
        upload_successful: string;
        confirm_header: string;
        confirm_delete_message: string;
        confirm_delete_selected_message: string;
        copy_to_clipboard: string;
        copy_to_clipboard_success: string;
        copy_to_clipboard_failed: string;
        empty_search_message: string;
        paginate: string;
        paginator_showing: string;
        paginator_to: string;
        paginator_of: string;
        search_by: string;
        keyword_search: string;
        no_records_found: string;
        clear_filters: string;
        clear_global_filter: string;
        select_columns: string;
        columns_selected: string;
        export: string;
        selection_message: string;
        empty_selection_message: string;
    };
}, {
    [x: string]: import("vue-i18n").IntlDateTimeFormat;
}, {
    [x: string]: import("vue-i18n").IntlNumberFormat;
}, string, true>;
