import { ApiEndpoint } from './api-service';
export declare class ApiServiceEndpoints {
    static readonly AUTH: {
        readonly Register: ApiEndpoint;
        readonly Login: ApiEndpoint;
        readonly Profiles: {
            readonly Get: ApiEndpoint;
            readonly UpdateProfile: ApiEndpoint;
            readonly AddMyUser: ApiEndpoint;
            readonly MyProfile: ApiEndpoint;
        };
    };
    static readonly INVENTORY: {
        readonly Get: ApiEndpoint;
        readonly DiskTypes: {
            readonly Get: ApiEndpoint;
            readonly Post: ApiEndpoint;
            readonly Patch: ApiEndpoint;
            readonly Delete: ApiEndpoint;
        };
        readonly ClientServices: {
            readonly Get: ApiEndpoint;
            readonly Post: ApiEndpoint;
            readonly Patch: ApiEndpoint;
            readonly Delete: ApiEndpoint;
        };
        readonly ClientProducts: {
            readonly Get: ApiEndpoint;
            readonly Post: ApiEndpoint;
            readonly Patch: ApiEndpoint;
            readonly Delete: ApiEndpoint;
        };
        readonly VmsTypes: {
            readonly Get: ApiEndpoint;
            readonly Post: ApiEndpoint;
            readonly Patch: ApiEndpoint;
            readonly Delete: ApiEndpoint;
        };
        readonly VmsModels: {
            readonly Get: ApiEndpoint;
            readonly Post: ApiEndpoint;
            readonly Patch: ApiEndpoint;
            readonly Delete: ApiEndpoint;
        };
        readonly VmsModelMappings: {
            readonly Get: ApiEndpoint;
            readonly Post: ApiEndpoint;
            readonly Patch: ApiEndpoint;
            readonly Delete: ApiEndpoint;
        };
        readonly ClientDiscounts: {
            readonly Get: ApiEndpoint;
            readonly Post: ApiEndpoint;
            readonly Patch: ApiEndpoint;
            readonly Delete: ApiEndpoint;
        };
    };
    static readonly OFFERS: {
        readonly Get: ApiEndpoint;
        readonly Post: ApiEndpoint;
        readonly Patch: ApiEndpoint;
        readonly Delete: ApiEndpoint;
        readonly Tags: {
            readonly Get: ApiEndpoint;
            readonly Post: ApiEndpoint;
            readonly Delete: ApiEndpoint;
        };
    };
    static readonly ORDERS: {
        readonly Get: ApiEndpoint;
        readonly Create: ApiEndpoint;
        readonly Update: ApiEndpoint;
        readonly Delete: ApiEndpoint;
        readonly OrderItems: {
            readonly Update: ApiEndpoint;
            readonly Delete: ApiEndpoint;
        };
        readonly OrderEntries: {
            readonly Create: ApiEndpoint;
        };
        readonly Statuses: {
            readonly Get: ApiEndpoint;
        };
    };
    static readonly CLUSTER: {
        readonly GetVMs: ApiEndpoint;
        readonly TEST: ApiEndpoint;
        readonly Ipsets: {
            readonly Get: ApiEndpoint;
            readonly Post: ApiEndpoint;
            readonly Patch: ApiEndpoint;
            readonly Delete: ApiEndpoint;
            readonly AddIPArrayToIPSet: ApiEndpoint;
            readonly Ips: {
                readonly Get: ApiEndpoint;
                readonly Post: ApiEndpoint;
                readonly Patch: ApiEndpoint;
                readonly Delete: ApiEndpoint;
            };
            readonly IpsetIps: {
                readonly Get: ApiEndpoint;
                readonly Post: ApiEndpoint;
                readonly Patch: ApiEndpoint;
                readonly Delete: ApiEndpoint;
            };
            readonly IpsetVms: {
                readonly Get: ApiEndpoint;
                readonly Post: ApiEndpoint;
                readonly Patch: ApiEndpoint;
                readonly Delete: ApiEndpoint;
            };
        };
        readonly ToggleLockVM: ApiEndpoint;
    };
    static readonly CLIENTIPS: {
        readonly Ipsets: {
            readonly Get: ApiEndpoint;
            readonly Post: ApiEndpoint;
            readonly Delete: ApiEndpoint;
            readonly Upsert: ApiEndpoint;
        };
    };
    static readonly DEDICATED: {
        readonly MyDedicatedServers: ApiEndpoint;
    };
}
